Index: developers-reference.sgml
===================================================================
RCS file: /cvs/debian-doc/ddp/manuals.sgml/developers-reference/developers-reference.sgml,v
retrieving revision 1.207
diff -u -r1.207 developers-reference.sgml
--- developers-reference.sgml	16 Jun 2003 08:08:56 -0000	1.207
+++ developers-reference.sgml	17 Jun 2003 07:50:36 -0000
@@ -1220,13 +1220,12 @@
 
     <sect id="pkg-tracking-system">The Package Tracking System
 	<p>
-The Package Tracking System (PTS) is basically a tool to track by mail
-the activity of a source package. You just have to subscribe
-to a source package to start getting the mails related to it. 
-You get the same mails as the maintainer. Each mail
-sent through the PTS is classified and associated to one of
-the keyword listed below. This will let you select the mails that
-you want to receive.
+The Package Tracking System (PTS) is an email-based tool to track the
+activity of a source package. You just have to subscribe to a source
+package to start getting the messages related to it.  You get the same
+messages as the maintainer. Each mail sent through the PTS is classified
+and associated to one of the keywords listed below. This will let you
+select the messages that you want to receive.
 	<p>
 By default you will get:
 <taglist>
@@ -1236,7 +1235,7 @@
 
     <tag><tt>bts-control</tt>
     <item>
-The control mails notifying a status change in one of the bugs.
+The control messages notifying a status change in one of the bugs.
     
     <tag><tt>upload-source</tt>
     <item>
@@ -1245,21 +1244,21 @@
 
     <tag><tt>katie-other</tt>
     <item>
-Other warning and error mails from <prgn>katie</prgn> (like the
+Other warning and error messages from <prgn>katie</prgn> (like the
 override disparity for the section or priority field).
 
     <tag><tt>default</tt>
     <item>
-Any non-automatic mail sent to the PTS by people who wanted to
+Any non-automatic mail message sent to the PTS by people who wanted to
 contact the subscribers of the package. This can be done by sending mail
 to <tt><var>srcpackage</var>@&pts-host;</tt>. In order to prevent spam,
-mails sent to these addresses must contain the header "X-PTS-Approved"
-with a non-empty string.
+messages sent to these addresses must contain the "X-PTS-Approved"
+header with a non-empty string.
 
 
     <tag><tt>summary</tt>
     <item>
-In the future, you may receive regular summary mails to keep you
+In the future, you may receive regular summary messages to keep you
 informed of the package's status (bug statistics, porting overview,
 progression in <em>testing</em>, ...).
 </taglist>
@@ -1311,32 +1310,32 @@
 
 <tag><tt>keyword [&lt;email&gt;]</tt>
 <item>
-  Tells you the keywords that you are accepting. Each mail sent through
+  Tells you the keywords that you are accepting. Each message sent through
   the Package Tracking System is associated to a keyword and you receive
-  only the mails associated to keywords that you are accepting. Here is
-  the list of available keywords:
+  only the messages associated to keywords that you are accepting. Here
+  is the list of available keywords:
   <list>
-  <item><tt>bts</tt>: mails coming from the Debian Bug Tracking System
-  <item><tt>bts-control</tt>: reply to mails sent to &email-bts-control;
-  <item><tt>summary</tt>: automatic summary mails about the state of a package
+  <item><tt>bts</tt>: messages coming from the Debian Bug Tracking System
+  <item><tt>bts-control</tt>: reply to messages sent to &email-bts-control;
+  <item><tt>summary</tt>: automatic summary messages about the state of a package
   <item><tt>cvs</tt>: notification of CVS commits
   <item><tt>ddtp</tt>: translations of descriptions and debconf templates
   <item><tt>upload-source</tt>: announce of a new source upload that
         has been accepted
   <item><tt>upload-binary</tt>: announce of a new binary-only upload (porting)
-  <item><tt>katie-other</tt>: other mails from ftpmasters
+  <item><tt>katie-other</tt>: other messages from ftpmasters
         (override disparity, etc.)
-  <item><tt>default</tt>: all the other mails (those which aren't "automatic")
+  <item><tt>default</tt>: all the other messages (those which aren't "automatic")
   </list>
 
 <tag><tt>keyword &lt;srcpackage&gt; [&lt;email&gt;]</tt>
 <item>
-  Same as previous item but for the given source package since
+  Same as the previous item but for the given source package since
   you may select a different set of keywords for each source package.
 
 <tag><tt>keyword [&lt;email&gt;] {+|-|=} &lt;list of keywords&gt;</tt>
 <item>
-  Accept (+) or refuse (-) mails associated to the given keyword(s).
+  Accept (+) or refuse (-) messages associated to the given keyword(s).
   Define the list (=) of accepted keywords.
 
 <tag><tt>keyword &lt;srcpackage&gt; [&lt;email&gt;] {+|-|=} &lt;list of keywords&gt;</tt>
@@ -1352,12 +1351,12 @@
 
 	<sect1 id="pts-mail-filtering">Filtering PTS mails
 	<p>
-Once you are subscribed to a package, you will get the mails sent to
-<tt><var>srcpackage</var>@packages.qa.debian.org</tt>. Those mails
+Once you are subscribed to a package, you will get the messages sent to
+<tt><var>srcpackage</var>@packages.qa.debian.org</tt>. Those messages
 have special headers appended to let you filter them in a special
-mailbox with <prgn>procmail</prgn>. The added headers are
-<tt>X-Loop</tt>, <tt>X-PTS-Package</tt>, <tt>X-PTS-Keyword</tt> and
-<tt>X-Unsubscribe</tt>.
+mailbox with a mail filtering tool (e.g. <prgn>procmail</prgn>). The
+added headers are <tt>X-Loop</tt>, <tt>X-PTS-Package</tt>,
+<tt>X-PTS-Keyword</tt> and <tt>X-Unsubscribe</tt>.
 	<p>
 Here is an example of added headers for a source upload notification
 on the <package>dpkg</package> package:
@@ -1370,37 +1369,37 @@
 
 	<sect1 id="pts-cvs-commit">Forwarding CVS commits in the PTS
 	<p>
-If you use a publicly accessible CVS repository for maintaining
-your Debian package you may want to forward the commit notification
-to the PTS so that the subscribers (possible co-maintainers) can
-closely follow the package's evolution.
+If you use a publicly accessible CVS repository to maintain your Debian
+packages you may want to forward the commit notification messages to the
+PTS so that the subscribers (and possible co-maintainers) can closely
+follow the package's evolution.
 	<p>
 It's very easy to setup. Once your CVS repository generates commit
-notifications, you just have to make sure it sends a copy of those mails
+notifications, you just have to make sure it sends a copy of those messages
 to <tt><var>srcpackage</var>_cvs@&pts-host;</tt>. Only people who
 accepts the <em>cvs</em> keyword will receive the notifications.
 
 	<sect1 id="pts-web">The PTS web interface
 	<p>
 The PTS has been extended with a web interface that puts together
-many information about each source package. It features many useful
+lots of information about each source package. It features many useful
 links (BTS, QA stats, contact information, DDTP translation status,
 buildd logs) and gathers many more information from various places
 (30 latest changelog entries, testing status, ...). It's a very useful
 tool if you want to know what's going on with a specific source
-package. Furthermore there's a form that let you easily subscribe to
+package. Furthermore there's a form that lets you easily subscribe to
 the mail service offered by the PTS.
 	<p>
 You can jump directly to the web page concerning a specific source package
 with an url like <tt>http://&pts-host;/<var>srcpackage</var></tt>. Otherwise
-you can go through the <url id="http://&pts-host;" name="main page">.
+you can go via the <url id="http://&pts-host;" name="main page">.
 	<p>
 This web interface has been designed like a portal for the development of
-packages: you can add custom content on the pages of your packages. You can
-add "static information" (news item that are meant to stay available
+packages: you can add custom content on your packages' pages. You can
+add "static information" (news items that are meant to stay available
 indefinitely) and news items in the "latest news" section.
 	<p>
-Static news can be used to indicate:
+Static news items can be used to indicate:
 <list>
 <item>the availability of a project hosted on alioth.debian.org for co-maintaining the package
 <item>a link to the upstream website
@@ -1408,9 +1407,9 @@
 <item>the existence of an IRC channel dedicated to the software
 <item>any other available resource that could be useful in the maintenance of the package
 </list>
-Usual news item may be used to announce that:
+Usual news items may be used to announce that:
 <list>
-<item>beta packages are available for test
+<item>beta packages are available for testing
 <item>final packages are expected for next week
 <item>the packaging is about to be redone from scratch
 <item>backports are available
@@ -1419,17 +1418,19 @@
 <item>something important will affect the package
 </list>
 	<p>
-Both kind of news are generated in a similar manner: you just have to send a mail
-either to <email>pts-static-news@qa.debian.org</email> or to
-<email>pts-news@qa.debian.org</email>. The mail should indicate which package is
-concerned by the news by giving the name of the source package in a
-<tt>X-PTS-Package</tt> mail header or in a <tt>Package</tt> pseudo-header (like the
-BTS reports). If an URL is available in the <tt>X-PTS-Url</tt> mail header or in
-the <tt>Url</tt> pseudo-header, then the result is a link to that URL instead
-of a complete news item.
-	<p>
-Some examples of valid mails used to generate news item in the PTS are following. The first one
-adds a link to the cvsweb interface of debian-cd in the "Static information" section.
+Both kind of news items are generated in a similar manner: you just have
+to send a mail message either to
+<email>pts-static-news@qa.debian.org</email> or to
+<email>pts-news@qa.debian.org</email>. The mail should indicate which
+package is concerned by the news by giving the name of the source
+package in a <tt>X-PTS-Package</tt> mail header or in a <tt>Package</tt>
+pseudo-header (like the BTS reports). If an URL is available in the
+<tt>X-PTS-Url</tt> mail header or in the <tt>Url</tt> pseudo-header,
+then the result is a link to that URL instead of a complete news item.
+	<p>
+Some examples of valid messages used to generate news item in the PTS
+follow. The first one example adds a link to the CVSWeb interface of
+debian-cd in the "Static information" section.
 <example>
 From: Raphael Hertzog &lt;hertzog@debian.org&gt;
 To: pts-static-news@qa.debian.org
@@ -1455,10 +1456,10 @@
 ...
 </example>
 	<p>
-Think twice before adding a news to the PTS because you won't be able to
-remove it later and you wan't be able to edit it either. The only thing that you
-can do is send a second news that will deprecate the information contained in
-the first news.
+Please think twice before adding a news item to the PTS because you
+won't be able to remove nor edit it later. The only thing you can do is
+to send a second news item that will deprecate the information contained
+in the first item.
 
     <sect id="ddpo">Developer's packages overview
 	<p>
